httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steffen" <i...@apachelounge.com>
Subject Re: : apr-util-1.4.1 failes with Crypto
Date Thu, 08 Dec 2011 19:41:48 GMT
Read the Apr list about 1.4.1, understand now.

Hope that we can  build it out of the box like eg. the dynamic dbd.


-----Original Message----- 
From: Mladen Turk 
Sent: Thursday, December 08, 2011 4:10 PM 
To: dev@httpd.apache.org 
Subject: Re: : apr-util-1.4.1 failes with Crypto 

On 12/08/2011 03:47 PM, Steffen wrote:
> When APU-HAVE-CRYPTO = 0 and build project seperate it generates fine a
> apr_crypto_nss-1.dll (dynam)
>
> When APU-HAVE-CRYPTO = 1 and build project seperate it fails with:
>
> ------ Build started: Project: apr_crypto_nss, Configuration: Release
> Win32 ------
> Compiling... apr_crypto_nss.c
> .\apr_crypto_nss.c(33) : fatal error C1083: Cannot open include file:
> 'prerror.h': No such file or directory
>

You should have INCLUDE set correctly. peerror.h is from NSPR.
Or simply just copy those files to apr-util/include/
if you just need the .dll's

Like Graham said, crypto modules are dynamic and will not work
with static APR build. So you basically cannot have
APU_DECLARE_STATIC and 'APU_HAVE_CRYPTO 1'



Regards
-- 
^TM

Mime
View raw message